Hello Everyone!

I would like to invite you to participate in November Circuits '19. You will be given 8 problems (7 algorithmic problems and 1 approximation problem). The contest will start on November 16, 15:30 UTC and will run for 7 days.

The problems are prepared by me, javaD , amirno , its_aks_ulure , nitesh_gupta and Arpa and tested by Arpa. We hope, you find them interesting.

To make the challenge more interesting, problems will be added to the contest in this order:

- Day 0: Very-Easy, Easy, Approximation.
- Day 1: Easy, Easy-Medium.
- Day 4: Easy-Medium, Medium-Hard.
- Day 6: Hard.
- Day 7: Challenge ends.

The contest is rated and prizes will be awarded:

- First place: $100 Amazon gift card + HE t-shirt.
- Second place: $75 Amazon gift card + HE t-shirt.
- Third place: $50 Amazon gift card + HE t-shirt.
- Fourth place: HE t-shirt.
- Fifth place: HE t-shirt.

Also, HE t-shirts will be given for top 10 participants with ratings less than 1600.

See you at the scoreboard. Good Luck!

Checker for Good substrings doesn't work. I don't know how this can happen. But fix it.

When you see that a tester test his own problems :). He is too greedy.

What do u mean?

I mean "Arpa" should stop testing problems. He is greedy to do both admin and tester. The testing is awful, wrong statement, weak test cases and wrong checker. Even he is tester of his own problem. What the fkkk here?

Edit: I got unbanned. My opinion on hackerearth changed.

My hackerearth accout got suspended for spam until the 29. of november even tho i was the one getting spammed with messages. This is extremely wrong.

Can anybody explain how does grader works for challenge problem?

Also, I saw in comments to that problem that solutions, which output more than 100 digits are judged as correct ones. Is it fixed now?

Its not fixed. Do fix it as fast as possible

But for me, it says WA on tests with $$$n$$$ > $$$9$$$, where I output more than 100 digits (and I am sure the pairs I output is correct, but just too big). So does anybody know why sometimes judge says WA for outputting too many digits and sometimes accept this?

I think you can't output more than 100 digits. But you can output negative numbers and get AC that way since gcd will be negative and checker checks if its 1 :D. Bad checker.

I guess that they fixed this because now outputting sth like "-1000 -1000" leads to WA on all tests. Do I understand correctly, that your solution, which is currently the best is to output some trash if $$$n$$$ > $$$10$$$ ? If so, it seems that the authors changed checker but don't rejudge previous submissions...

Oh wow i guess they really fixed the checker. My solution is to output some trash for every n. Negatives don't work anymore. Now i hope they don't rejudge my solution :D.

Edit: Btw. I see you wrote n>10. You have a solution to n=10 with less than 100 digits?

No, my works only for n < 10. I used to be think that you have :)

Arpa As you don't answer any question under the problem's comment section, I will ask here. Can you at least say whether (and when) the approximate problem will be fixed, or what changes will you do to it (making lower constrains or allowing answers with more digits)? How will grader evaluate solutions?

Also, did you know that your testcases to problem "Fixed Parity" are extremely weak? Will you change this, or left everything as it is?

Woow for the task "Fixed Parity" its enough to print no/yes only based on if the parity of the start and end are the same.

This test is a counterexample:

3

0 0 0

0 1 0

1

1 1

3 3

The answer should be "No" if im not mistaken. But the parity of the start/end is the same.

The problem is extremely badly worded so im not even sure what exactly we are required to calculate.

Yes, my test is exactly the same (probably, this is my test:)

Rejudge will happen after the contest is complete. I'm sorry about problem Fixed parity, I was not the creator of test cases but I'm responsible as a tester. I'll try next time to make sure test cases are good enough.

What changes you will do to that problem?

Checker has been changed. People get points with printing negative values.

Yes, but will you change the problem statement? I (and many participants in the comment section) are atmost sure that under given constraints (n up to 14, number with no more than 100 digits) problem is unsolvable at all. Does the author have a solution with less than 100 digits for n = 14?

Make this contest unrated, please. Probably many people, like me, were prejudiced by not noticing the silly mistake in the solution of "Fixed Parity", and by not getting the appropriate feedback for "Hidden Squares".

Can anyone here explain the first problem "build a graph" ? why is it n >= 12 for yes ?